# class Mail::BccField

### Constants

CAPITALIZED_FIELD
FIELD_NAME

### Public Class Methods

new(value = '', charset = 'utf-8') click to toggle source
Calls superclass method

    # File lib/mail/fields/bcc_field.rb, line 38
    def initialize(value = '', charset = 'utf-8')
      @charset = charset
      super(CAPITALIZED_FIELD, strip_field(FIELD_NAME, value), charset)
      self
    end

### Public Instance Methods

decoded() click to toggle source

    # File lib/mail/fields/bcc_field.rb, line 61
    def decoded
      do_decode
    end

encoded() click to toggle source

Bcc field should not be :encoded by default

    # File lib/mail/fields/bcc_field.rb, line 53
    def encoded
      if include_in_headers
        do_encode(CAPITALIZED_FIELD)
      else
        ''
      end
    end

include_in_headers() click to toggle source

    # File lib/mail/fields/bcc_field.rb, line 48
    def include_in_headers
      defined?(@include_in_headers) ? @include_in_headers : self.include_in_headers = false
    end

include_in_headers=(include_in_headers) click to toggle source

    # File lib/mail/fields/bcc_field.rb, line 44
    def include_in_headers=(include_in_headers)
      @include_in_headers = include_in_headers
    end